# Activities

## Create an activity

<mark style="color:green;">`POST`</mark> `/v1/games/:game_id/activities`

#### Request Body

| Name                | Type    | Description                                           |
| ------------------- | ------- | ----------------------------------------------------- |
| custom\_action\_id  | string  |                                                       |
| custom\_player\_id  | string  |                                                       |
| custom\_session\_id | string  |                                                       |
| amount              | integer | Defaults to 1                                         |
| date\_time\_utc     | string  | Sample format: \`2021-01-13T23:13:46.921279Z\`        |
| uuid                | string  | Must be a valid RFC 4122 (version 1, 3, 4, or 5) UUID |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## UUID

This parameter can be used to determine whether or not you have already reported a given player activity. This scenario might occur for a number of reasons, e.g. poor network, errors that occur in your project when sending, etc.

## Amount

The amount that you specify indicates the number of times the action has been performed by the player.

{% hint style="info" %}
Default: `1`
{% endhint %}

## Date/Time UTC

This is the date/time that the action is to be recorded.  For some circumstances, this shouldn't be necessary, but for others it will.  It is good to use if precision is important or if there's a need to "go back in time" and report activities that weren't previously reported.

{% hint style="info" %}
Default: the current date/time when the request is received.
{% endhint %}

{% hint style="info" %}
The value passed cannot be in the future.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.r4nkt.com/api/activities.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
